Bug 172389 - Fix www/lynx with pkg in strict mode
Summary: Fix www/lynx with pkg in strict mode
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-06 11:30 UTC by Koop Mast
Modified: 2012-10-18 11:35 UTC (History)
0 users

See Also:


Attachments
lynx-pkg.diff (410 bytes, patch)
2012-10-06 11:30 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2012-10-06 11:30:10 UTC
	when pkg is run in strict mode warnings turn into failures.
	We shouldn't try to remove directories we don't make.

How-To-Repeat: 	===>   Registering installation for lynx-2.8.7.2,1
	pkg: lstat(/usr/local/share/locale/rw/LC_MESSAGES/): No such file or directory
	pkg: DEVELOPER_MODE: Plist error: @dirrm share/locale/rw/LC_MESSAGES
	pkg: lstat(/usr/local/share/locale/rw/): No such file or directory
	pkg: DEVELOPER_MODE: Plist error: @dirrm share/locale/rw
	*** Error code 74

	Stop in /usr/ports/www/lynx.
Comment 1 Edwin Groothuis freebsd_committer 2012-10-06 11:30:17 UTC
Maintainer of www/lynx,

Please note that PR ports/172389 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/172389

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-10-06 11:30:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Koop Mast freebsd_committer 2012-10-06 11:31:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

grab
Comment 4 jharris 2012-10-15 00:15:41 UTC
On Sat, Oct 06, 2012 at 10:30:17AM +0000, Edwin Groothuis wrote:
> Maintainer of www/lynx,
> 
> Please note that PR ports/172389 has just been submitted.


> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/172389


Approved, thanks!

-- 
Jason Harris           |  PGP:  This _is_ PGP-signed, isn't it?
jharris@widomaker.com _|_ Got photons? (TM), (C) 2004
Comment 5 Koop Mast freebsd_committer 2012-10-18 11:35:14 UTC
State Changed
From-To: feedback->closed

Committed thanks!